System Requirements

 

Note: With the release of ISL Network Start 4.4 (Release information) the system requirements were raised. Older version of ISL Network Start will be automatically downloaded if you have and Operating System that does not meet the requirements bellow.


Operating Systems

Microsoft Windows

  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows 10 (32-bit and 64-bit)
  • Microsoft Windows 8.1 (32-bit and 64-bit)
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 8 (32-bit and 64-bit)
  • Microsoft Windows Server 2012
  • Microsoft Windows 7 (32-bit and 64-bit)
  • Microsoft Windows Server 2008 R2


Note: Older versions of Windows as far back as the Windows 2000 (Version number 5.0) are supported by older versions of ISL Network Start.


Mac OS

  • OS X 10.5 Catalina
  • OS X 10.4 Mojave
  • OS X 10.13 High Sierra
  • OS X 10.12 Sierra


Note: Mac OS 10.12 is the earliest MacOS version that is supported by ISL Network Start.


Linux

Note: ISL Network Start is not supported for Linux clients.

Was this article helpful?